HUGO-MOD-NPM-PACK(1)

NAME
hugo-mod-npm-pack - Merges module Node.js dependencies into an npm workspace

SYNOPSIS
hugo mod npm pack [flags] [args]

DESCRIPTION
Merges Node.js dependencies from all Hugo modules into a "packages/hugoautogen" npm workspace.

The merged dependencies are written to packages/hugoautogen/package.json, and the root package.json is updated with a "workspaces" entry pointing to "packages/hugoautogen".

The source entries are read from either package.hugo.json or package.json in the module root, with package.hugo.json taking precedence if both exist.

See Node.js dependencies ⟨/hugo-modules/nodejs-dependencies/⟩ for more information.

OPTIONS
-b, --baseURL=""
    hostname (and path) to the root, e.g. https://spf13.com/

--cacheDir=""
    filesystem path to cache directory

-c, --contentDir=""
    filesystem path to content directory

-h, --help[=false]
    help for pack

--renderSegments=[]
    named segments to render (configured in the segments config)

-t, --theme=[]
    themes to use (located in /themes/THEMENAME/)

OPTIONS INHERITED FROM PARENT COMMANDS
--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--noBuildLock[=false]
    don't create .hugo_build.lock file

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

SEE ALSO
hugo-mod-npm(1)